import styled from "@emotion/styled";
import { calendarDoubleConfig, withRange, calendarBaseConfig, calendarBaseTokens } from "../../../Calendar";
import { component, mergeConfig } from "../../../../engines";
import { privateTokens, tokens } from "../../DatePicker.tokens";
import { baseCalendarTokens } from "../../DatePickerBase.styles";
var mergedCalendarDoubleConfig = mergeConfig(calendarDoubleConfig);
var CalendarDouble = component(mergedCalendarDoubleConfig);
var mergedCalendarConfig = mergeConfig(calendarBaseConfig);
var Calendar = component(mergedCalendarConfig);
var CalendarDoubleRange = withRange(CalendarDouble);
var CalendarRange = withRange(Calendar);
// NOTE: переопределение токенов Calendar
export var StyledCalendarDouble = /*#__PURE__*/ styled(CalendarDoubleRange, {
    target: "e1x6jtfe0",
    label: "StyledCalendarDouble"
})(privateTokens.calendarDoubleWidth, ":calc(var(", tokens.calendarWidth, ") * 2 + 2.063rem);flex-shrink:", function(param) {
    var innerWidth = param.innerWidth;
    return innerWidth && innerWidth !== '0' ? '1' : '0';
}, ";width:", function(param) {
    var innerWidth = param.innerWidth;
    return innerWidth && innerWidth !== '0' ? '100%' : "var(".concat(privateTokens.calendarDoubleWidth, ")");
}, ";height:", function(param) {
    var innerHeight = param.innerHeight;
    return innerHeight && innerHeight !== '0' ? '100%' : "var(".concat(tokens.calendarHeight, ")");
}, ";", baseCalendarTokens, " ", calendarBaseTokens.calendarSeparatorBackground, ":var(", tokens.popoverSeparatorBackground, ");");
export var StyledCalendar = /*#__PURE__*/ styled(CalendarRange, {
    target: "e1x6jtfe1",
    label: "StyledCalendar"
})("flex-shrink:", function(param) {
    var innerWidth = param.innerWidth;
    return innerWidth && innerWidth !== '0' ? '1' : '0';
}, ";width:", function(param) {
    var innerWidth = param.innerWidth;
    return innerWidth && innerWidth !== '0' ? '100%' : "var(".concat(tokens.calendarWidth, ")");
}, ";height:", function(param) {
    var innerHeight = param.innerHeight;
    return innerHeight && innerHeight !== '0' ? '100%' : "var(".concat(tokens.calendarHeight, ")");
}, ";", baseCalendarTokens);
